/*
******************************************************************
CSS for responsive

(c) sinntun.codes
******************************************************************
*/

@media only screen and (max-width: 1450px) {
    #head-container {
        padding: 15px 25px 0;
    }

    #main-canvas {
        padding: 0px 25px 0;
    }

    .footer-background {
        padding: 0 25px;
    }

    .top-navigation,
    .search-container {
        right: 25px;
    }
}


@media only screen and (max-width: 1300px) {
    .pagetype-standard.visibleAsideCanvas #aside-canvas {
        margin-right: 40px;
    }

    .pagetype-standard.visibleAsideCanvas #content-canvas {
        width: calc(100% - 540px);
    }
}


@media only screen and (max-width: 1250px) {
    .search-container {
        right: 15px;
    }
}

@media only screen and (max-width: 1024px) {
    #content-canvas {
        padding-top: 35px;
    }

    #main-canvas {
        margin-bottom: 35px !important;
    }

    .page-headline {
        padding-bottom: 35px !important;
    }

    #site_headline {
        padding-bottom: 30px !important;
    }

    h2 {
        margin-bottom: 10px;
    }

    .contentbox-main {
        margin-bottom: 35px !important;
    }

    .pageelement-overviewpages-main .text-container h2 {
        margin-bottom: 20px;
    }

    #detail-container .contentbox,
    .contentbox-info {
        margin-bottom: 30px;
    }

    #mobile-search-box {
        display: block;
    }

    #mobile-searchbutton {
        top: 20px;
        padding: 0;
    }

    .back-button {
        display: inline-block;
    }

    /*****************************************************************
    *********** Canvases
    ******************************************************************/
    #head-container {
        padding: 10px 15px 15px;
        position: relative;
        min-height: 75px;
    }

    #info-canvas {
        width: 100%;
        margin: 0 0;
        max-width: 100%;
        padding-left: 0;
    }

    #main-canvas {
        width: 100% !important;
        margin-left: 0 !important;
        margin-right: 0 !important;
    }

    #main-navigation,
    #meta-navigation {
        display: none !important;
    }


    #aside-canvas {
        width: 100%;
        margin-bottom: 10px;
        display: none;
    }

    /*****************************************************************
    *********** Allgemeine Selektoren
    ******************************************************************/
    .top-navigation {
        position: absolute;
        right: 130px;
        top: 5px;
    }

    /*****************************************************************
    *********** Header
    ******************************************************************/
    .page-headline {
        font-size: 35px !important;
    }

    .lang-selector {
        display: block;
        right: 85px;
    }

    .header-text {
        display: none !important;
    }

    #head-logo img {
        height: 45px;
    }


    /*****************************************************************
    *********** Navigation
    ******************************************************************/
    /*****************************************************************
    *********** Footer
    ******************************************************************/
    #footer-canvas {
        flex-direction: column;
    }

    #footer-canvas .column {
        margin-bottom: 25px;
    }

    #footer-canvas .socialmedia-icons {
        display: flex;
        justify-content: start;
    }

    .social-media-link {
        float: none;
    }


    /*****************************************************************
    *********** Content
    ******************************************************************/
    /*****************************************************************
    *********** Seitenelemente
    ******************************************************************/

    /*** pageelement-text-image-main
    ******************************************************************/
    .pageelement-text-image-main .left-column {
        width: 100% !important;
        float: none;
        height: auto;
        overflow: hidden;
        margin-bottom: 20px;
        padding: 0 15px 0 0;
    }
    .pageelement-text-image-main .right-column {
        width: 100% !important;
        overflow: hidden;
        float: none;
        height: auto;
        padding: 0 0 0 15px;
    }

    /*** pageelement-text-main
    ******************************************************************/
    .pageelement-text-main {
        width: 100%;
        margin: 0;
    }

    .pageelement-info-teaser-main {
        width: 100%;
        margin: 25px 0 0;
    }


}

@media only screen and (max-width: 800px){
    .pageelement-text-image-senkrecht-main {
        flex-direction: column;
    }

    .pageelement-text-image-senkrecht-main .left-column.image {
        align-self: center;
    }

    .pageelement-text-image-senkrecht-main .right-column.text {
        padding-left: 0px !important;
        width: 100% !important;
    }

    .pageelement-text-image-senkrecht-main .right-column.text .headline{
        margin-bottom: 8px !important;
        margin-top: 10px;
    }
}


@media only screen and (max-width: 760px) {

    /*****************************************************************
    *********** Document/Canvas
    ******************************************************************/

    #main-navigation {
        display: none !important;
    }

    #main-canvas {
        width: 100% !important;
        margin-left: 0 !important;
    }

    #info-canvas {
        width: 100%;
        margin: 0 0;
    }

    #aside-canvas {
        width: 100%;
        margin-bottom: 10px;
    }


    /*****************************************************************
    *********** Allgemeine Selektoren
    ******************************************************************/
    .page-headline {
        font-size: 35px !important;
    }

    /*****************************************************************
    *********** Header
    ******************************************************************/
    #head-image {
        width: 100%;
        height: 165px;
    }

    #head-image img {
        width: auto;
        height: 165px;
        align-content: center;
    }


    .header-text {
        display: none !important;
    }

    /*****************************************************************
    *********** Slider
    ******************************************************************/
    .slick-slide img {
        width: auto;
        height: 165px;
    }

    /*****************************************************************
    *********** Footer
    ******************************************************************/
    /*****************************************************************
    *********** Content
    ******************************************************************/
    /*****************************************************************
    *********** Seitenelemente
    ******************************************************************/
    /*** pageelement-text-image-main
    ******************************************************************/
    .pageelement-text-image-main {
        flex-direction: column;
    }

    .pageelement-text-image-main .left-column {
        float: none;
        height: auto;
        overflow: hidden;
        padding-right: 0 !important;
    }

    .pageelement-text-image-main .right-column {
        overflow: hidden;
        float: none;
        height: auto;
        padding-left: 0 !important;
    }


    /*** pageelement-overviewpages-main
    ******************************************************************/
    .pageelement-overviewpages-main .overview-item {
        flex-direction: column;
    }

    /*
    .pageelement-overviewpages-main .text-container {
        margin-bottom: 10px;
        display: block;
    }
    */


    .pageelement-overviewpages-main .image-container {
        padding: 0;
        margin-bottom: 10px;
        display: block;
    }

}


@media only screen and (max-width: 520px) {

    /*** pageelement-overviewpages-main
    ******************************************************************/
    .pageelement-overviewpages-main .image-container {
        width: 80%;
        margin: 0;
    }

    .pageelement-overviewpages-main .image-container img {
        width: auto;
    }
    /*

    .pageelement-overviewpages-main .text-container {
        float: left;
        width: 100%;
        margin-top: 15px;
        margin-left: 0;
        max-width: 100%;
    }

     */

}


@media only screen and (max-width: 480px) {


    /*****************************************************************
    *********** Document/Canvas
    ******************************************************************/
    /*****************************************************************
    *********** Allgemeine Selektoren
    ******************************************************************/
    .scroll-to-top-div {
        width: 100% !important;
        bottom: 0 !important;
        left: 0;
        background-color: #D7AE86;
    }

    #scroll-to-top {
        display: block;
        margin: auto;
        width: 75px !important;
    }


    /*****************************************************************
    *********** Header
    ******************************************************************/

    .lang-selector {
        width: 115px;
    }

    .lang-selector .lang-text {
        display: none !important;
    }

    /*****************************************************************
    *********** Slider
    ******************************************************************/
    .slick-prev, .slick-next {
        background-size: 65%;
    }


    /*****************************************************************
    *********** Footer
    ******************************************************************/
    #footer-canvas .column {
        width: 100%;
        padding-bottom: 25px;
    }

    /*****************************************************************
    *********** Content
    ******************************************************************/
    /*****************************************************************
    *********** Seitenelemente
    ******************************************************************/
    /*** .pageelement-text-image-main
     ******************************************************************/
    .pageelement-text-image-main .left-column .text,
    .pageelement-text-image-main .right-column .text {
        box-sizing: border-box;
        max-width: 100%;
        position: relative;
        transform: translateY(0%);
        top: 0;
    }

    .pageelement-text-image-main .left-column {
        width: 100%;
        float: none;
        height: auto;
        overflow: hidden;
    }

    .pageelement-text-image-main .right-column {
        width: 100%;
        overflow: hidden;
        float: none;
        height: auto;
    }

    .pageelement-text-image-main .left-column .text {
        padding: 25px 40px !important;
        text-align: left;
    }

    .pageelement-text-image-main .left-column .text {
        padding: 0 !important;
        text-align: left;
    }

    /*** pageelement-info-teaser-mai
    ******************************************************************/
    .pageelement-info-teaser-main .info {
        width: 100%;
        margin: 10px 0;
    }

    /*** pageelement-overviewpages-main
    ******************************************************************/
    /*
    .pageelement-overviewpages-main .text-container {
        width: 100%;
        margin: 0;
        padding-top: 10px;
    }

     */


}
